Creates a new deal with the provided details. This operation involves registering the deal and creating related deal stage.
Request
Body Params application/jsonRequired
{
"partner_id": "unique-ID-of-deal",
"contractor_email": "user@example.com",
"name": "Deal name",
"description": "Deal description",
"budget": "1000.00",
"currency": "EUR",
"work_days": 30,
"sub_category_id": 75
}
Request Code Samples
curl --location 'https://useme.com/api/1.0/deal/' \
--header 'Authorization: Token <here-paste-your-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"partner_id": "unique-ID-of-deal",
"contractor_email": "user@example.com",
"name": "Deal name",
"description": "Deal description",
"budget": "1000.00",
"currency": "EUR",
"work_days": 30,
"sub_category_id": 75
}'
Responses
Returns the newly created deal's ID and associated stage IDs.
{
"success": true,
"data": {
"id": 0,
"stage_ids": [
0
]
}
}
Modified at 2026-05-05 07:55:26